<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:b="http://bootsfaces.net/ui">

<h:outputStylesheet name="#{mbAccount.cssSheet}" />
<ui:composition template="#{mbAccount.template}">
	<ui:define name="title">Détail prestation</ui:define>
	<ui:define name="CSS">
		<style type="text/css">
.behind {
	z-index: -1000;
}

.infoCA:first-child {
	background-color: #009e0f;
}

.infoCA {
	background-color: blue;
	color: white;
	height: 25vh;
	border-radius: 1%;
	width: 49%;
}

.infoCA:last-child {
	margin-left: 2%;
}

.text_center {
	text-align: center;
}

.jumbotron {
	margin-bottom: 2%;
	border-radius: 1%;
}

#containerTab {
	padding: 20px;
	margin-top: 5px;
}
</style>
	</ui:define>

	<ui:define name="naving">
				<b:form rendered="#{mbAccount.utilisateur.role == 'Admin'}">
					<b:breadcrumbs>
						<b:navLink icon="home" iconAlign="left" value="Home" href="/AppNomadsWeb/admin/DashbordAdmin.xhtml"></b:navLink>
						<b:navLink icon="list" iconAlign="left" value="Liste des Masseurs" href="/AppNomadsWeb/masseur/ListeMasseurs.xhtml"></b:navLink>
						<b:navLink icon="plus" iconAlign="left" value="Création d'un Masseur" href="/AppNomadsWeb/masseur/CreationMasseur.xhtml"></b:navLink>
					</b:breadcrumbs>
				</b:form>
				<b:form rendered="#{mbAccount.utilisateur.role == 'Masseur'}">
					<b:breadcrumbs>
						<b:navLink icon="home" iconAlign="left" value="Home" href="/AppNomadsWeb/masseur/DashbordMasseur.xhtml"></b:navLink>
						<b:navLink icon="ball" value="Location Matériels" href="/AppNomadsWeb/prestation/LocationMateriel.xhtml"></b:navLink>
						<b:navLink icon="euro" value="Achat Mads" href="/AppNomadsWeb/masseur/AchatMads.xhtml"></b:navLink>
					</b:breadcrumbs>
				</b:form>
	</ui:define>
	<ui:define name="content_page">
		<h:form class="behind">
			<h1>Détail Prestation</h1>
			<!-- Bloc Info -->
			<b:row>

				<!-- Bloc 1 -->
				<b:container id="container">
					<!-- Bloc gris -->
					<b:column col-xs="12" col-md="4">
						<b:row>
							<b:jumbotron class="text_center">
								<b:thumbnail>
									<img src="../resources/pics/bar_colosseo.jpg"  />
								</b:thumbnail>
								<h2>
									<h:outputLabel
										value="#{mbPrestation.selectedPrestation.libelle}" />
								</h2>

<!-- 								<p> -->
<!-- 									<h:outputLabel -->
<!-- 										value="#{mbPrestation.selectedPrestation.typePaiment.libelle}" /> -->
<!-- 								</p> -->
<!-- 								<p> -->
<!-- 									<h:outputLabel -->
<!-- 										value="#{mbPrestation.selectedPrestation.reccurence.dureeReccurence}" /> -->
<!-- 								</p> -->
								<p>
									<h:outputLabel
										value="#{mbPrestation.selectedPrestation.partenaireEntity.nomCourant}" />
								</p>
							</b:jumbotron>
						</b:row>

						<!-- nb Contrat CA -->
						<b:row>
							<!-- Nb Cntrat -->
							<b:column col-xs="5" class="infoCA text_center">
								<h3>Nombre d'inscription validé</h3>
								<p>#{mbPrestation.nbTotalInscriptions}</p>
							</b:column>
							<!-- CA -->
							<b:column col-xs="5" class="infoCA text_center">
								<h3>CA</h3>
								<p>loremp</p>
							</b:column>
						</b:row>

					</b:column>


					<!-- Bloc 2 -->
					<b:column col-xs="12" col-md="8">


						<b:tabView activeIndex="0"
							contentStyle="border: 2px solid #ddd; border-top: 1px solid #ddd;border-left: 1px solid #ddd; padding:10px">
							<b:tab title="Info">
								<h:outputLabel value="Nom de la prestation : " />
							    <b:inputText value="#{mbPrestation.selectedPrestation.libelle}" readonly="true"></b:inputText>
							    <h:outputLabel value="Date de la prestation : " /> 
							    <b:inputText value="#{mbPrestation.selectedPrestation.datePrestation}" readonly="true"></b:inputText>
							    <h:outputLabel value="nombre de masseur max : " /> 
							    <b:inputText value="#{mbPrestation.selectedPrestation.nbMasseur}" readonly="true"></b:inputText>
								<h:outputLabel value="Heure de début : " /> 
							    <b:inputText value="#{mbPrestation.selectedPrestation.heureDebut}" readonly="true"></b:inputText>
								<h:outputLabel value="Heure de fin : " /> 
							    <b:inputText value="#{mbPrestation.selectedPrestation.heureFin}" readonly="true"></b:inputText>
								<h:outputLabel value="Adresse : " /> 
							    <b:inputText value="#{mbPrestation.selectedPrestation.adresseEntity.adresse}" readonly="true"></b:inputText>
							    <b:inputText value="#{mbPrestation.selectedPrestation.adresseEntity.complementAdresse}" readonly="true"></b:inputText>	
							    <b:inputText value="#{mbPrestation.selectedPrestation.adresseEntity.codePostal} #{mbPrestation.selectedPrestation.adresseEntity.ville}" readonly="true"></b:inputText>	
								
							</b:tab>
							<b:tab title="Feedback Masseur">
								<b:dataTable value="#{mbPrestation.feedbackMasseursOfPresta}" var="feedback" searching="false">
									<b:dataTableColumn value="#{feedback.dateFeedback}" label="Date" />
									<b:dataTableColumn value="#{feedback.masseurEntity.prenom} #{feedback.masseurEntity.nom} " label="Masseur" />
									<b:dataTableColumn value="#{feedback.noteAccueil}" label="Note Accueil" />
									<b:dataTableColumn value="#{feedback.noteAmbiance}" label="Note ambiance" />
									<b:dataTableColumn value="#{feedback.noteClientele}" label="Note clientele" />
									<b:dataTableColumn value="#{feedback.commentaireMasseur}" label="Commentaire" />
									<b:dataTableColumn value="#{feedback.chiffreDaffaire}" label="CA" />

								</b:dataTable>
							</b:tab>
							<!-- The next tab shows tabs aren't limited to text. You can put anything in a tab. -->
							<b:tab title="Feedback Parenaire">
								<b:dataTable value="#{mbPrestation.feedbackPartenairesOfPresta}" var="feedback" searching="false">
									<b:dataTableColumn value="#{feedback.dateFeedback}" label="Date" />
									<b:dataTableColumn value="#{feedback.noteRelationnel}" label="Note Relationnel" />
									<b:dataTableColumn value="#{feedback.notePonctualite}" label="Note ponctualité" />
									<b:dataTableColumn value="#{feedback.noteQualiteMassage}" label="Note Qualité des Massages" />
									<b:dataTableColumn value="#{feedback.commentairePartenaire}" label="Commentaire" />

								</b:dataTable>
							</b:tab>
							
						</b:tabView>
					</b:column>

				</b:container>

			</b:row>

			<!-- Tableau des inscriptions à la prestation -->
			<b:row rendered="#{mbAccount.utilisateur.role == 'Admin'}">
				<b:container id="containerTab">
					<!-- Tableau Inscriptions -->
					<b:row>
						<b:dataTable value="#{mbPrestation.allInscriptionOnPresta}" var="Inscription">

							<b:dataTableColumn value="#{Inscription.dateInscription}" label="Date" />
							<b:dataTableColumn value="#{Inscription.masseurEntity.nom} #{Inscription.masseurEntity.prenom}" label="Masseur" />
							<b:dataTableColumn value="" label="Montant Paiement" />
							<b:dataTableColumn value="" label="Statut Masseur" />
							<b:dataTableColumn value="#{Inscription.dateDesistement}" label="Etat inscription" />

						</b:dataTable>
					</b:row>
					<!-- Button -->
					<b:row rendered="#{mbAccount.utilisateur.role == 'Admin'}">
						<b:commandButton value="Modifier" look="primary" size="lg" action="#{mbPrestation.modifierPrestation()}" ></b:commandButton>
						<b:commandButton value="Supprimer" look="danger" size="lg"
							data-target="#amodal" id="atrigger" action="#{mbPrestation.supprimerPrestation()}"></b:commandButton>

					</b:row>
					<b:row>
						<b:commandButton value="S'inscrire" look="primary"  size="lg" action="#{mbPrestation.demanderInscritption()}"  rendered="#{mbAccount.utilisateur.role == 'Masseur'}"/>
					</b:row>
				</b:container>
			</b:row>
			<b:modal id="amodal" title="Modal Example"
				styleClass="modalPseudoClass" rendered="#{mbAccount.utilisateur.role == 'Admin'}">
				<p>Etes vous sur de vouloir désactiver cette prestation ?</p>

				<f:facet name="footer">
					<b:button value="Non" dismiss="modal" />
					<b:button value="Oui" look="danger" dismiss="modal" />
				</f:facet>
			</b:modal>
			<b:modal id="amodal2" title="Confirmer inscription"
				styleClass="modalPseudoClass" rendered="#{mbAccount.utilisateur.role == 'Masseur'}">
				<p>Etes vous sur de poursuivre l'inscription ?</p>

				<f:facet name="footer">
					<b:button value="Non" dismiss="modal" />
					<b:button value="Oui" look="danger" dismiss="modal" />
				</f:facet>
			</b:modal>

		</h:form>
	</ui:define>
</ui:composition>
</html>
